
package it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.3-b02-
 * Generated source version: 2.1
 * 
 */
@WebService(name = "PosteDocWS", targetNamespace = "urn:postecom")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface PosteDocWS {


    /**
     * 
     * @param file
     * @param md5HashHex
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @RequestWrapper(localName = "close", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.Close")
    @ResponseWrapper(localName = "closeResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.CloseResponse")
    public void close(
            @WebParam(name = "file", targetNamespace = "urn:postecom")
                    FileUploadInfo file,
            @WebParam(name = "md5HashHex", targetNamespace = "urn:postecom")
                    String md5HashHex)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param tipoDoc
     * @return
     *     returns java.util.List<it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.AttrDesc>
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getDescClasseDocumentaleReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getDescClasseDocumentale", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetDescClasseDocumentale")
    @ResponseWrapper(localName = "getDescClasseDocumentaleResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetDescClasseDocumentaleResponse")
    public List<AttrDesc> getDescClasseDocumentale(
            @WebParam(name = "tipoDoc", targetNamespace = "urn:postecom")
                    String tipoDoc)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param idLottoAzienda
     * @param dataCreazione
     * @param nickAzienda
     * @param tipoDoc
     * @return
     *     returns it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.Lotto
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getLottoAziendaReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getLottoAzienda", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetLottoAzienda")
    @ResponseWrapper(localName = "getLottoAziendaResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetLottoAziendaResponse")
    public Lotto getLottoAzienda(
            @WebParam(name = "dataCreazione", targetNamespace = "urn:postecom")
                    String dataCreazione,
            @WebParam(name = "idLottoAzienda", targetNamespace = "urn:postecom")
                    String idLottoAzienda,
            @WebParam(name = "tipoDoc", targetNamespace = "urn:postecom")
                    String tipoDoc,
            @WebParam(name = "nickAzienda", targetNamespace = "urn:postecom")
                    String nickAzienda)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param pagina
     * @param numRecPerPage
     * @param query
     * @param tipoDoc
     * @return
     *     returns it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.Documenti
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getPaginaDocumentiReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getPaginaDocumenti", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetPaginaDocumenti")
    @ResponseWrapper(localName = "getPaginaDocumentiResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetPaginaDocumentiResponse")
    public Documenti getPaginaDocumenti(
            @WebParam(name = "pagina", targetNamespace = "urn:postecom")
                    int pagina,
            @WebParam(name = "numRecPerPage", targetNamespace = "urn:postecom")
                    int numRecPerPage,
            @WebParam(name = "query", targetNamespace = "urn:postecom")
                    List<Filtro> query,
            @WebParam(name = "tipoDoc", targetNamespace = "urn:postecom")
                    String tipoDoc)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param idDocumento
     * @param idLotto
     * @return
     *     returns it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.Documento
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getDocumentoFirmatoReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getDocumentoFirmato", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetDocumentoFirmato")
    @ResponseWrapper(localName = "getDocumentoFirmatoResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetDocumentoFirmatoResponse")
    public Documento getDocumentoFirmato(
            @WebParam(name = "idLotto", targetNamespace = "urn:postecom")
                    long idLotto,
            @WebParam(name = "idDocumento", targetNamespace = "urn:postecom")
                    String idDocumento)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param nickAzienda
     * @return
     *     returns java.util.List<it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.ProfiloUtente>
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getProfiliUtenteReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getProfiliUtente", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetProfiliUtente")
    @ResponseWrapper(localName = "getProfiliUtenteResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetProfiliUtenteResponse")
    public List<ProfiloUtente> getProfiliUtente(
            @WebParam(name = "nickAzienda", targetNamespace = "urn:postecom")
                    String nickAzienda)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param anno
     * @return
     *     returns java.util.List<it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.StatoMemoria>
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getUsedStorageByYearForTypeReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getUsedStorageByYearForType", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetUsedStorageByYearForType")
    @ResponseWrapper(localName = "getUsedStorageByYearForTypeResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetUsedStorageByYearForTypeResponse")
    public List<StatoMemoria> getUsedStorageByYearForType(
            @WebParam(name = "anno", targetNamespace = "urn:postecom")
                    String anno)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param periodo
     * @return
     *     returns it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.StatoMemoria
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getUsedStorageByYearReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getUsedStorageByYear", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetUsedStorageByYear")
    @ResponseWrapper(localName = "getUsedStorageByYearResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetUsedStorageByYearResponse")
    public StatoMemoria getUsedStorageByYear(
            @WebParam(name = "periodo", targetNamespace = "urn:postecom")
                    String periodo)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param idLottoAzienda
     * @param dataCreazione
     * @param nickAzienda
     * @param tipoDoc
     * @return
     *     returns it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.File
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getFileNotificaReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getFileNotifica", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetFileNotifica")
    @ResponseWrapper(localName = "getFileNotificaResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetFileNotificaResponse")
    public File getFileNotifica(
            @WebParam(name = "dataCreazione", targetNamespace = "urn:postecom")
                    String dataCreazione,
            @WebParam(name = "idLottoAzienda", targetNamespace = "urn:postecom")
                    String idLottoAzienda,
            @WebParam(name = "tipoDoc", targetNamespace = "urn:postecom")
                    String tipoDoc,
            @WebParam(name = "nickAzienda", targetNamespace = "urn:postecom")
                    String nickAzienda)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param pagina
     * @param numRecPerPage
     * @param tipoDoc
     * @return
     *     returns it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.Lotti
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getPaginaLottiReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getPaginaLotti", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetPaginaLotti")
    @ResponseWrapper(localName = "getPaginaLottiResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetPaginaLottiResponse")
    public Lotti getPaginaLotti(
            @WebParam(name = "pagina", targetNamespace = "urn:postecom")
                    int pagina,
            @WebParam(name = "numRecPerPage", targetNamespace = "urn:postecom")
                    int numRecPerPage,
            @WebParam(name = "tipoDoc", targetNamespace = "urn:postecom")
                    String tipoDoc)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param nomeFile
     * @param chkFile
     * @param fileSize
     * @param uploadBlockSize
     * @return
     *     returns it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.FileUploadInfo
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "createLottoReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "createLotto", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.CreateLotto")
    @ResponseWrapper(localName = "createLottoResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.CreateLottoResponse")
    public FileUploadInfo createLotto(
            @WebParam(name = "nomeFile", targetNamespace = "urn:postecom")
                    String nomeFile,
            @WebParam(name = "uploadBlockSize", targetNamespace = "urn:postecom")
                    int uploadBlockSize,
            @WebParam(name = "fileSize", targetNamespace = "urn:postecom")
                    long fileSize,
            @WebParam(name = "chkFile", targetNamespace = "urn:postecom")
                    File chkFile)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param stato
     * @param password
     * @param accessoDoc
     * @param idProfilo
     * @param codiceUtente
     * @param nome
     * @param idUtente
     * @param eMail
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @RequestWrapper(localName = "insertUtente", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.InsertUtente")
    @ResponseWrapper(localName = "insertUtenteResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.InsertUtenteResponse")
    public void insertUtente(
            @WebParam(name = "idUtente", targetNamespace = "urn:postecom")
                    String idUtente,
            @WebParam(name = "codiceUtente", targetNamespace = "urn:postecom")
                    String codiceUtente,
            @WebParam(name = "password", targetNamespace = "urn:postecom")
                    String password,
            @WebParam(name = "eMail", targetNamespace = "urn:postecom")
                    String eMail,
            @WebParam(name = "nome", targetNamespace = "urn:postecom")
                    String nome,
            @WebParam(name = "idProfilo", targetNamespace = "urn:postecom")
                    int idProfilo,
            @WebParam(name = "stato", targetNamespace = "urn:postecom")
                    short stato,
            @WebParam(name = "accessoDoc", targetNamespace = "urn:postecom")
                    String accessoDoc)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param nickAziendaPadre
     * @param unita
     * @param admin
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @RequestWrapper(localName = "insertUnita", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.InsertUnita")
    @ResponseWrapper(localName = "insertUnitaResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.InsertUnitaResponse")
    public void insertUnita(
            @WebParam(name = "nickAziendaPadre", targetNamespace = "urn:postecom")
                    String nickAziendaPadre,
            @WebParam(name = "unita", targetNamespace = "urn:postecom")
                    Unita unita,
            @WebParam(name = "admin", targetNamespace = "urn:postecom")
                    AdminUser admin)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param idDocumento
     * @param idLotto
     * @return
     *     returns it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.Documento
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getDocumentoReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getDocumento", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetDocumento")
    @ResponseWrapper(localName = "getDocumentoResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetDocumentoResponse")
    public Documento getDocumento(
            @WebParam(name = "idLotto", targetNamespace = "urn:postecom")
                    long idLotto,
            @WebParam(name = "idDocumento", targetNamespace = "urn:postecom")
                    String idDocumento)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param ruolo
     * @param tipoDoc
     * @param idUtente
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @RequestWrapper(localName = "setUserGrant", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.SetUserGrant")
    @ResponseWrapper(localName = "setUserGrantResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.SetUserGrantResponse")
    public void setUserGrant(
            @WebParam(name = "tipoDoc", targetNamespace = "urn:postecom")
                    String tipoDoc,
            @WebParam(name = "idUtente", targetNamespace = "urn:postecom")
                    String idUtente,
            @WebParam(name = "ruolo", targetNamespace = "urn:postecom")
                    String ruolo)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param blockId
     * @param file
     * @param data
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @RequestWrapper(localName = "upload", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.Upload")
    @ResponseWrapper(localName = "uploadResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.UploadResponse")
    public void upload(
            @WebParam(name = "file", targetNamespace = "urn:postecom")
                    FileUploadInfo file,
            @WebParam(name = "data", targetNamespace = "urn:postecom")
                    byte[] data,
            @WebParam(name = "blockId", targetNamespace = "urn:postecom")
                    int blockId)
        throws PosteDocException_Exception
    ;

    /**
     * 
     * @param idLottoAzienda
     * @param dataCreazione
     * @param tipoDoc
     * @return
     *     returns it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.Lotto
     * @throws PosteDocException_Exception
     */
    @WebMethod
    @WebResult(name = "getLottoReturn", targetNamespace = "urn:postecom")
    @RequestWrapper(localName = "getLotto", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetLotto")
    @ResponseWrapper(localName = "getLottoResponse", targetNamespace = "urn:postecom", className = "it.posteitaliane.pec.archiver.wsclient.sostituzioneanorma.GetLottoResponse")
    public Lotto getLotto(
            @WebParam(name = "dataCreazione", targetNamespace = "urn:postecom")
                    String dataCreazione,
            @WebParam(name = "idLottoAzienda", targetNamespace = "urn:postecom")
                    String idLottoAzienda,
            @WebParam(name = "tipoDoc", targetNamespace = "urn:postecom")
                    String tipoDoc)
        throws PosteDocException_Exception
    ;

}
